{% extends 'common/base.html' %}

{% load bootstrap4 i18n %}

{% block content %}
<div class="row">
    <div class="col">
        <nav class="navbar navbar-light bg-light">
            <a class="navbar-brand">{{ topic.name }}</a>
        </nav>
        {% if object_list %}
        {% for post in page_obj %}
        <div class="card mt-3">
            <div class="card-body">
                <h5 class="card-title">{{ post.author.username }}</h5>
                {% if request.user.id == post.author_id or request.user.is_superuser %}
                <div class="float-right">
                    <a href="{% url 'common:delete_post' post.pk %}" class="badge badge-danger">{% trans 'Delete' %}</a>
                </div>
                {% endif %}
                <h6 class="card-subtitle mb-2 text-muted">{% trans 'Created at: ' %}{{ post.created_at }} </h6>
                <p class="card-text">{{ post.text }}</p>
            </div>
        </div>
        {% endfor %}
        {% else %}
        <li class="list-group-item">{% trans 'No posts' %}</li>
        {% endif %}
    </div>
</div>
{% if request.user.is_authenticated %}
{% if topic.active %}
<div class="row">
    <div class="col">
        <form class="form" method="post" action="{% url 'common:create_post' topic.pk %}" enctype="multipart/form-data">
            {% csrf_token %}
            {% bootstrap_form form %}
            <div class="d-none d-lg-block d-xl-block">
                {% bootstrap_button _("Create") button_type="submit" button_class="btn btn-primary" %}
            </div>
            <div class="d-lg-none d-xl-none">
                {% bootstrap_button _("Create") button_type="submit" button_class="btn btn-primary btn-lg btn-block" %}
            </div>
        </form>
    </div>
</div>
{% endif %}
{% endif %}
<div class="row">
    <div class="col">
        <div class="pagination justify-content-center mt-4">
            {% bootstrap_pagination page_obj %}
        </div>
    </div>
</div>
{% endblock %}
